#include "fourfield.hh"

#include <string.h>

FourField::FourField() {
  memset(m_data, -1, sizeof(char)*7*12);
}

FourField::FourField(const FourField& f) {
  memcpy(m_data, f.m_data, sizeof(char)*7*12);
}

FourField FourField::operator = (const FourField& f) {
  memcpy(m_data, f.m_data, sizeof(char)*7*12);
  return *this;
}

char* FourField::getData() {
  return (char*)m_data;
}

void FourField::FourField::setValue(char value, int w, int h, int l) {
  m_data[w][h]=value;
}

char FourField::getValue(int w, int h, int l) {
  return m_data[w][h];
}

int FourField::getWidth() {
  return 7;
}

int FourField::getHeight() {
  return 12;
}

int FourField::getLength() {
  return 0;
}


