
#ifndef FOURSTATE_HH
#define FOURSTATE_HH

#include <game/gamestate.hh>
#include <game/gamefield.hh>
#include <player/player.hh>

class FourState : public GameState {

public:
  FourState();
  ~FourState();

  GameState* duplicate();
  bool performMove(int id, Position&);
  bool isFinal(int, int);
  long evaluate(int, int);
  int count(int pattern, int a, int b, int c, int d);
  Position* getAllowedMoves(int &);
  int getAllowedCount();
  GameField* getField();
  
private:
  GameField *m_field;
};

#endif
