
#ifndef ENGINE_HH
#define ENGINE_HH

#include <player/player.hh>
#include <game/gamestate.hh>

class Engine {

public:
  Engine(int players=2);
  virtual ~Engine();
  
  virtual void setPlayer(int, Player*);
  virtual Player* getPlayer(int);

  virtual void setGameState(GameState*);
  virtual GameState* getGameState();

private:
  int numplayers;
  GameState *gamestate;
  Player **player;
};

#endif
