
#ifndef GAMEFIELD_HH
#define GAMEFIELD_HH

class GameField {

public:
  virtual ~GameField() {};
  virtual void setValue(char value, int w=0, int h=0, int l=0)=0;
  virtual char getValue(int w=0, int h=0, int l=0)=0;

  virtual char* getData()=0;

  virtual int getWidth()=0;
  virtual int getHeight()=0;
  virtual int getLength()=0;

};

#endif
