
#ifndef MESSAGEBOX_HH
#define MESSAGEBOX_HH

#include <gtk--/window.h>
#include <gtk--/accelgroup.h>
#include <gtk--/pixmap.h>
#include <gtk--/fixed.h>
#include <gtk--/label.h>
#include <gtk--/box.h>
#include <gtk--/button.h>

enum MsgBoxType { Question, Information, Error };

class Messagebox : public Gtk::Window
{   
protected:
  Gtk::Window *messagebox;

protected:
  Gtk::Label *text;
  Gtk::HBox *hbox2;
  Gtk::Pixmap *pixmap1;

private:
  Gtk::Fixed *fixed6;
  Gtk::HBox *hbox1;
  Gtk::VBox *vbox4;
  
protected:

public:  
  Gtk::Button *button2;
  Gtk::Button *button1;

  Messagebox();
  ~Messagebox();

  void hide2();

  static Messagebox* yesno(MsgBoxType, char* title, char* msg);
  static Messagebox* ok(MsgBoxType, char* title, char* msg);
};
#endif
