
#ifndef DICKLESS_HH
#define DICKLESS_HH

#include <qmainwindow.h>
#include "fieldview.hh"
#include <game/engine.hh>

class QDickless: public QMainWindow {

  Q_OBJECT

public:
  QDickless(QWidget *parent=0, const char *name=0);
  virtual ~QDickless();

private slots:

  void about();
  void playersMenu();
  void ttt();
  void four();
  void positionClicked(int, int);
  void nextPlayer();

  signals:
  void gameStateChange(int, int);
  void gameEnd();
  void switchPlayer();
  void performMove(int, int);
  
private:
  QFieldView *fieldview;
  Engine engine;
  int currplayer;

};


#endif //DICKLESS_HH
