
#ifndef TTTSTATE_HH
#define TTTSTATE_HH

#include <game/gamestate.hh>
#include <game/gamefield.hh>
#include <player/player.hh>

class TTTState : public GameState {

public:
  TTTState();
  ~TTTState();

  GameState* duplicate();
  bool performMove(int id, Position&);
  long evaluate(int, int);
  bool isFinal(int, int);
  int count(int pattern, int a, int b, int c);
  Position* getAllowedMoves(int &);
  int getAllowedCount();
  GameField* getField();
  
private:
  GameField *m_field;
};

#endif
