
#ifndef CONSOLEUI_HH
#define CONSOLEUI_HH

#include <game/engine.hh>
#include <ui.hh>
#include <game/position.hh>


class ConsoleUI : public UserInterface, Engine {
  
 public:
  ConsoleUI();
  ~ConsoleUI();
  int initialize();
  int run();

  void doMenu();
  void doTTTMenu();
  void doFourMenu();
  void doPlayersMenu();

  int readval(int max);
  void printField(GameField* field);
  void printPlayers();
  
  Position getMove(Player*);
  Position getMoveF();
};

#endif
