
#ifndef FOURFIELD_HH
#define FOURFIELD_HH

#include <game/gamefield.hh>

class FourField : public GameField {

public:
  FourField();
  FourField(const FourField& f);

  FourField operator = (const FourField& f);

  void setValue(char value, int w=0, int h=0, int l=0);
  char getValue(int w=0, int h=0, int l=0);

  char* getData();

  int getWidth();
  int getHeight();  
  int getLength();

private:
  char m_data[7][12];
};

#endif
