// generated 2001/2/7 7:00:38 CET by tito@monoego.kopa.si.
// using glademm V0.5_11
//
// newer (non customized) versions of this file go to dickfull.cc_glade

// This file is for your program, I won't touch it again!

#include "dickfull.hh"
#include <gtk--/main.h>
#include <stdio.h>

#include <tictactoe/tttstate.hh>
#include <fourinrow/fourstate.hh>
#include <sigc++/signal_system.h>

Dickfull::Dickfull() 
  : Dickfull_Glade(), engine(2) {

  mb=NULL;

  playersdialog=new Playersdialog();  
  playersdialog->infoUpdated.connect(slot(this, &Dickfull::updatePlayerInfo));

  performMove.connect(slot(this, &Dickfull::positionClicked));
  switchPlayer.connect(slot(this, &Dickfull::nextPlayer));
  gameEnd.connect(slot(fieldview, &GtkFieldView::gameEnd));
  gameStateChange.connect(slot(fieldview, &GtkFieldView::gameStateChange));
  fieldview->positionClicked.connect(slot(this, &Dickfull::positionClicked));
}

Dickfull::~Dickfull() {
  delete playersdialog;
  if (mb!=NULL) delete mb;
}

void Dickfull::on_tic_tac_toe_activate()
{   
  if (engine.getPlayer(0)==NULL || engine.getPlayer(1)==NULL) {
    settingsConnection=settingsUpdated.connect(slot(this, &Dickfull::on_tic_tac_toe_activate));
    on_settings_activate();
    return;
  }
  
  if (engine.getGameState()!=NULL) {
    // ask
    if (mb!=NULL) delete mb;
    mb=Messagebox::yesno(Information, "Looser", "This will end your\ncurrent game!"); // slot(this, &Dickfull::four_in_a_row), NULL);
    mb->button1->clicked.connect(slot(this, &Dickfull::tic_tac_toe));
  } else {
    tic_tac_toe();
  }
}

void Dickfull::tic_tac_toe() {
  engine.setGameState(new TTTState());
  fieldview->setGameField(engine.getGameState()->getField());
  nextPlayer();
}

void Dickfull::on_four_in_a_row_activate()
{   
  if (engine.getPlayer(0)==NULL || engine.getPlayer(1)==NULL) {
    settingsConnection=settingsUpdated.connect(slot(this, &Dickfull::on_four_in_a_row_activate));
    on_settings_activate();
    return;
  }
  
  if (engine.getGameState()!=NULL) {
    // ask
    if (mb!=NULL) delete mb;
    mb=Messagebox::yesno(Information, "Looser", "This will end your\ncurrent game!"); // &slot(this, &Dickfull::four_in_a_row), (SigC::Slot0<void>*)NULL);
    mb->button1->clicked.connect(slot(this, &Dickfull::four_in_a_row));
  } else {
    four_in_a_row();
  }
}

void Dickfull::four_in_a_row() {
  engine.setGameState(new FourState());   
  fieldview->setGameField(engine.getGameState()->getField());
  nextPlayer();
}

void Dickfull::on_settings_activate()
{   
  Player *p1=engine.getPlayer(0), *p2=engine.getPlayer(1);
 
  playersdialog->show();
  playersdialog->setPlayers(p1, p2);
}

void Dickfull::updatePlayerInfo() {
  engine.setPlayer(0, playersdialog->p1);
  engine.setPlayer(1, playersdialog->p2);
  settingsUpdated.emit();
  settingsConnection.disconnect();
}

void Dickfull::on_quit_activate()
{   
  destroy();
}

void Dickfull::on_about_activate() {
  if (mb!=NULL) delete mb;
  mb=Messagebox::ok(Information, "Dick G. Full", "This is a GTK-- implementation of\nDick.");   
}

void Dickfull::on_dickfull_destroy()
{   
  Gtk::Main::quit();
}


void Dickfull::nextPlayer() {
  if (engine.getGameState()==NULL) {
    return;
  }
  
  currplayer=!currplayer;
  Player *p=engine.getPlayer(currplayer);
  if (p->getAI()) {
    Position move=p->getMove(engine.getGameState());
    performMove.emit(move.getW(), move.getH());
  }
}


void Dickfull::positionClicked(int col, int row) {
  Position pos(row, col);
  GameState *gs=engine.getGameState();
  
  if (gs->performMove(engine.getPlayer(currplayer)->getID(), pos)) {
    gameStateChange.emit(pos.getH(), pos.getW());
    if (gs->isFinal(0, 1) || gs->getAllowedCount()==0) {
      char buffer[256];
      if (gs->getWinner()<2)
	sprintf(buffer, "%s wins!", engine.getPlayer(gs->getWinner())->getName());
      else 
      	sprintf(buffer, "Game is a draw!");

      if (mb!=NULL) delete mb;
      mb=Messagebox::ok(Information, "Game over!", buffer);
      
      gameEnd.emit();
      fieldview->setGameField(NULL);
      engine.setGameState(NULL);
    }
    switchPlayer.emit();
  } else {
    char buffer[256];
    sprintf(buffer, "Invalid move [%i, %i]", pos.getW(), pos.getH());
    //    statusbar->push(0, buffer);
  }
}

