#include "playersdialogimpl.hh"

/* 
 *  Constructs a QPlayersDialogImpl which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
QPlayersDialogImpl::QPlayersDialogImpl( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QPlayersDialog( parent, name, modal, fl )
{
}

/*  
 *  Destroys the object and frees any allocated resources
 */
QPlayersDialogImpl::~QPlayersDialogImpl()
{
    // no need to delete child widgets, Qt does it all for us
}

/* 
 * public slot
 */
void QPlayersDialogImpl::applyChanges()
{
    qWarning( "QPlayersDialogImpl::applyChanges() not yet implemented!" ); 
}

