#include "tttfield.hh"

#include <string.h>

TTTField::TTTField() {
  memset(m_data, -1, sizeof(char)*9);
}

TTTField::TTTField(const TTTField& f) {
  memcpy(m_data, f.m_data, sizeof(char)*9);
}

TTTField TTTField::operator = (const TTTField& f) {
  memcpy(m_data, f.m_data, sizeof(char)*9);
  return *this;
}

char* TTTField::getData() {
  return (char*)m_data;
}

void TTTField::TTTField::setValue(char value, int w, int h, int l) {
  m_data[w][h]=value;
}

char TTTField::getValue(int w, int h, int l) {
  return m_data[w][h];
}

int TTTField::getWidth() {
  return 3;
}

int TTTField::getHeight() {
  return 3;
}

int TTTField::getLength() {
  return 0;
}


