
#ifndef FIELD_HH
#define FIELD_HH

#include <game/gamefield.hh>

class TTTField : public GameField {

public:
  TTTField();
  TTTField(const TTTField& f);

  TTTField operator = (const TTTField& f);

  void setValue(char value, int w=0, int h=0, int l=0);
  char getValue(int w=0, int h=0, int l=0);

  char* getData();

  int getWidth();
  int getHeight();  
  int getLength();

private:
  char m_data[3][3];
};

#endif
